GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Cancel All Session Orders

REST APIsTradingOrdersCancel All Session Orders

Cancel All Session Orders

POSThttps://api.gemini.com/v1/order/cancel/session

This will cancel all orders opened by this session. This will have the same effect as heartbeat expiration if "Require Heartbeat" is selected for the session.

POSTv1/order/cancel/session
curl --request POST \
  --url https://api.gemini.com/v1/order/cancel/session \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/order/cancel/session",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have orders:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/order/cancel/session"Example: /v1/order/cancel/session
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to cancel the orders. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/order/cancel/session",
  "nonce": "<nonce>"
}

Responses

JSON response

resultstring
Example: ok
detailsobject
cancelledOrders/cancelRejects with IDs of both
details.cancelledOrdersarray
details.cancelRejectsarray
Example Responses
{
  "result": "ok",
  "details": {
    "cancelRejects": [
      330429345
    ],
    "cancelledOrders": []
  }
}
PreviousCancel All Active OrdersNextGet Order Status
Last modified on May 5, 2026